MyBB 1.8.24

code 1824

Security

Full Package

Install a new MyBB forum or upgrade from older versions.

.zip – 2.14 MB

Download from MyBB.com Download from GitHub

sha512:

49fff479e907a78124452f263507c87c13cc5c1493f71908493367b18e7d34f8872d725cb496a298075787281d3c2460f1da951a5e4a5622f5ea813052fed913

sha256:

87b5ee3f6601e07034c951006a9829bcb78bd347ec231b51f28a12e557f11909

sha1:

bebb4de581f53882f4c3fac32bab5767fedcc8b4

md5:

40febb29bd5c2e0f4d321f4512bdf1de

Changed Files

Upgrade from the previous version.

.zip – 0.33 MB

Download from MyBB.com Download from GitHub

sha512:

755b11d6b1d8b5304d0debbe551faf5fc1349d305465c6a559ba97de058412322e614cd580cde5abc05afc25d581aecf1da4a6cc652ef36ae0eda035fa6ba326

sha256:

09db34728d65661cf4e83ee0c89852e29a47e990213f3b9f0bd7affa7b2cba9a

sha1:

bb35116aeebfa260e91c8250f5ad9ddf8c21c5a4

md5:

91b67bcf5ede5762e9407012e83df237

How to verify packages

Important Notes

Running the upgrade script is required.

Before performing any upgrade please remember to backup your forum’s files and database and store them safely. If you have edited core files, including language files, please make sure you make a changelog for these changes so you can make them again (if necessary) once the upgrade is complete.

Follow the Upgrade Documentation for more detailed instructions.

After running the upgrade, make sure to update the version attribute in the codebuttons template for non-default themes.

Security Vulnerabilities Addressed (1)

High risk

MyCode message formatting XSS in visual editor [1]

CWE-79 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVE-2020-15139 Reported by Murphy

Changed Files ()

Changed Templates (1)

  • codebuttons